import { type CmsModelField, type CmsModelModifierCallable, FolderCmsModelModifierPlugin, type IFolderModelFieldsModifier } from "@webiny/api-aco";
import { CmsModelField as BaseModelField } from "@webiny/api-headless-cms/types";
export declare class FolderModelFieldsModifier implements IFolderModelFieldsModifier {
    private fields;
    private readonly namespace;
    constructor(namespace: string);
    setFields(fields: BaseModelField[]): void;
    addField(field: CmsModelField): void;
}
export declare const createFmFileFolderModelModifier: (callback: CmsModelModifierCallable) => FolderCmsModelModifierPlugin;
